
## volume snapshot list -f yaml

# - Description: null
#   ID: 86367f4d-fbc2-4e09-b0e7-1b4b73f72baa
#   Name: db-snapshot01
#   Size: 50
#   Status: available

## volume snapshot list --long -f yaml

# - Created At: '2022-06-27T14:09:47.000000'
#   Description: null
#   ID: 86367f4d-fbc2-4e09-b0e7-1b4b73f72baa
#   Name: db-snapshot01
#   Properties: {}
#   Size: 50
#   Status: available
#   Volume: 8c87c196-1dd6-4190-bff5-00b543965093

require "../models"

module Arkisto
  module OSVolume
    class SnapshotListItemModel < Model
      @[YAML::Field(key: "Created At")]
      property created_at : String

      @[YAML::Field(key: "Description")]
      property description : String

      @[YAML::Field(key: "ID")]
      property id : String  ## UUID

      @[YAML::Field(key: "Name")]
      property name : String

      @[YAML::Field(key: "Properties")]
      property properties : YAML::Any

      @[YAML::Field(key: "Size")]
      property size : UInt16

      @[YAML::Field(key: "Status")]
      property status : String

      @[YAML::Field(key: "Volume")]
      property volume : String
    end
  end
end
